]> rtime.felk.cvut.cz Git - omk.git/blobdiff - tests/all_omk_subdirs.inc
NuttX: the adapt to new implementation of ROMFS mounting at /etc
[omk.git] / tests / all_omk_subdirs.inc
index e91d9016801bbc76e5aaccc8682abf1037d5267b..511eec2cf09daf64c0e14cd24cecc0c338641f1a 100755 (executable)
@@ -1,13 +1,10 @@
-#!/bin/sh
-
-. ./functions.sh
+#!/bin/bash
 
 touch config.omk-default
 echo "SUBDIRS $OP \$(ALL_OMK_SUBDIRS)" > Makefile.omk
-
-OUTPUT=$(make 2>&1) || canttest
-echo $OUTPUT | grep make-in-dir1 || error "Make was not called in dir1" 
-echo $OUTPUT | grep make-in-dir2 || error "Make was not called in dir2"
-echo $OUTPUT | grep make-in-dir3 && error "Make shouldn't be called in dir3" 
+WVPASS bash -o pipefail -c 'make 2>&1 | tee output'
+grep make-in-dir1 output || error "Make was not called in dir1" 
+grep make-in-dir2 output || error "Make was not called in dir2"
+grep make-in-dir3 output && error "Make shouldn't be called in dir3" 
 
 exit 0